<script>
import { login } from '../api/index';
import { useRouter } from 'vue-router';

export default {
  data() {
    return {
      email: '',
      password: '',
      errorMessage: ''
    };
  },
  methods: {
    login() {
      // Reset error message
      this.errorMessage = '';

      login(this.email, this.password)
        .then(response => {
          console.log(response);
          this.loggedIn = true;
          this.user = response.user;
          
          this.$router.push('/');
        })
        .catch(error => {
          console.error(error);
          if (error.response && error.response.data && error.response.data.error) {
            this.errorMessage = error.response.data.error; // Display error message from response
          } else {
            this.errorMessage = 'Failed to login'; // Display default error message if no specific message found
          }
        });
    }
  }
}
</script>

<template>
   <section class="pt-5">
        <div class=" vh-100 d-flex justify-content-center align-items-center">
            <div class="container">
                <div class="row d-flex justify-content-center">
                    <div class="col-12 col-md-8 col-lg-6">
                        <div class="card bg-white">
                            <div class="card-body px-5 py-3">
                              
                                
                                    <h2 class="fw-bold mb-2 text-uppercase text-center">Masuk</h2>
                                    <p class="mb-4 text-center">Please enter your email and password!</p>
                                    <div v-if="errorMessage" class="alert alert-danger">{{ errorMessage }}</div>
                                    <form class="mb-3 mt-md-3" @submit.prevent="login">
                                    <div class="mb-3">
                                        <label for="email" class="form-label ">Email</label>
                                        <input type="email" class="form-control" id="email"
                                            placeholder="name@example.com" v-model="email">
                                    </div>
                                    <div class="mb-3">
                                        <label for="password" class="form-label ">Password</label>
                                        <input type="password" class="form-control" id="password" v-model="password"
                                            placeholder="*******">
                                    </div>
                                    <div class="d-grid py-3">
                                        <button class="btn btn-outline-dark" type="submit" value="Login">Login</button>
                                    </div>
                                </form>
                                <div>
                                    <p class="mb-0  text-center">Belum punya akun? <a href="/signup"
                                            class="text-primary fw-bold">Daftar</a></p>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</template>
